MagickCore: version.h File Reference

# version.h File Reference

Go to the source code of this file.

## Defines
#define | MagickPackageName "ImageMagick"
#define | MagickCopyright "Copyright (C) 1999-2010 ImageMagick Studio LLC"
#define | MagickLibVersion 0x638
#define | MagickLibVersionText "6.3.8"
#define | MagickLibVersionNumber 6,3,8,2
#define | MagickQuantumDepth "Q?"
#define | MagickQuantumRange "?"
#define | MagickReleaseDate "01/25/08"
#define | MagickVersion
#define | MagickHomeURL "file:///usr/local/share/doc/ImageMagick-6.3.8/index.html"
## Functions
MagickExport char * | GetMagickHomeURL (void)
MagickExport const char * | GetMagickCopyright (void)
MagickExport const char ** | GetMagickPackageName (void)
MagickExport const char *** | GetMagickQuantumDepth (unsigned long *)
MagickExport const char **** | GetMagickQuantumRange (unsigned long *)
MagickExport const char ***** | GetMagickReleaseDate (void)
MagickExport const char ****** | GetMagickVersion (unsigned long *)

## Define Documentation

#define MagickCopyright "Copyright (C) 1999-2010 ImageMagick Studio LLC"

#define MagickHomeURL "file:///usr/local/share/doc/ImageMagick-6.3.8/index.html"

#define MagickLibVersion 0x638

#define MagickLibVersionNumber 6,3,8,2

#define MagickLibVersionText "6.3.8"

#define MagickPackageName "ImageMagick"

#define MagickQuantumDepth "Q?"

#define MagickQuantumRange "?"

#define MagickReleaseDate "01/25/08"

#define MagickVersion

Value:

    MagickPackageName " " MagickLibVersionText " " \
      MagickReleaseDate " " MagickQuantumDepth " http://www.imagemagick.org"

## Function Documentation

MagickExport const char* GetMagickCopyright | ( | void |  | ) |

MagickExport char* GetMagickHomeURL | ( | void |  | ) |

MagickExport const char* * GetMagickPackageName | ( | void |  | ) |

MagickExport const char* * * GetMagickQuantumDepth | ( | unsigned long * |  | ) |

MagickExport const char* * * * GetMagickQuantumRange | ( | unsigned long * |  | ) |

MagickExport const char* * * * * GetMagickReleaseDate | ( | void |  | ) |

MagickExport const char* * * * * * GetMagickVersion | ( | unsigned long * |  | ) |